package eu.teraflow.automation.context;

import eu.teraflow.automation.device.model.Device;
import eu.teraflow.automation.device.model.DeviceEvent;
import io.smallrye.mutiny.Multi;
import io.smallrye.mutiny.Uni;

public interface ContextGateway {

    Uni<Device> getDevice(String deviceId);

    Multi<DeviceEvent> getDeviceEvents();
}
